::-webkit-scrollbar-track {
  visibility: hidden;
}

body {
  background-color: #fafafa;
  font-family: "Quicksand", sans-serif;
  font-size: 0.8rem;
}
#page-content-booking-info {
  padding-bottom: 7rem;
}
#page-content-booking-timeslot {
  padding-bottom: 12rem;
}

.profile_container {
  margin: 2re;
}
.profile_icon {
  width: 140px;
  height: auto;
  border-radius: 100%;
  display: block;
}
.profile_icon_container .fa-edit:hover {
  cursor: pointer;
}
.profile_control_btn_container > i:hover {
  cursor: pointer;
}

.profile_icon_container {
  width: 140px;
  height: 140px;
  position: relative;
  font-size: 160px;

  display: flex;
  justify-content: center;
  margin: 25px;
  margin-left: 70px;
}

.profile_icon_container .fa-user-circle {
  color: rgb(218, 211, 211, 0.5);
}

.profile_icon_container .fa-edit {
  position: absolute;
  right: 4px;
  bottom: 7px;
  font-size: 5px;
  background-color: white;
  padding: 10px;
  border-radius: 100%;
}
.main_content {
  font-family: "Quicksand", sans-serif;
  font-size: 1rem;
  padding-bottom: 15rem;
}
#member-profile-with-booking {
}
#page-content-booking-complete {
  padding-bottom: 7rem;
}

#page-news {
  padding-bottom: 4rem;
}

#carouselExampleCaptions {
  position: relative;
}

#backArrow {
  position: absolute;
  z-index: 99;
  font-size: 1.5rem;
  color: white;
  width: 2.5rem;
  height: 2.5rem;
  left: 1rem;
  top: 1rem;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.5);
  text-align: center;
}

.badge-featured {
  background-color: #38c1ea;
}

.carousel-indicators [data-bs-target] {
  width: 10px;
  height: 10px;
  border-radius: 50%;
}

.info-container {
  padding: 1.2rem 1.4rem 0.5rem 1.4rem;
  background-color: white;
  margin: 0 0 0.5rem 0;
}

#party-room-name {
  font-weight: bold;
  padding: 0 0 0.7rem 0;
}

.content-container {
  padding: 1rem 1.4rem;
  background-color: white;
  margin: 0 0 1rem 0;
}

.party-room-sub-item-title {
  font-weight: bold;
  padding: 0 0 1rem 0;
}

.party-room-sub-item-title i {
  margin: 0 0.5rem 0 0;
}

#recommend-room-adjust {
  padding: 0;
}

.recommend-room-container {
  display: flex;
  justify-content: center;
}

.recommend-room-content {
  background-color: white;
  margin: 0 0 1rem 0;
  display: flex;
  flex-direction: column;
  width: 75%;
}

.recommend-room-description {
  padding: 1rem 1rem 2rem 1rem;
}

#instant-booking-bar-position {
  position: fixed;
  top: 86.8%;
  width: 100%;
}

#instant-booking-bar {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  background-color: white;
  padding: 0.7rem 0;
}

#booking-price-content {
  font-size: 1.2rem;
  font-weight: bold;
}

.instant-booking-btn {
  background-color: #f15e75;
  color: white;
  font-weight: bold;
  font-size: 0.7rem;
  padding: 0.5rem 1rem;
}

#footer-position {
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 10;
}

#footer {
  display: flex;
  justify-content: space-around;
  background-color: white;
  align-items: center;
  padding: 0.5rem 0;
  box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px 15px;
}

#footer img {
  width: 12%;
}

#footer #footer-brand {
  height: 10.5%;
  width: 10.5%;
}

:root {
  --vanilla-calendar-selected-bg-color: #f15e75;
}

.vanilla-calendar {
  margin: 1rem 2rem;
}

#timeslot {
  margin: 1rem 1.5rem;
}

.timeslot-border {
  padding: 0;
  display: flex;
  justify-content: center;
}

.overnight {
  justify-content: center;
}

.btn-secondary {
  width: 90%;
  font-size: 0.8rem;
  margin: 0.5rem 0;
  padding: 0;
  height: 80%;
  color: #000000;
  background-color: #ffffff;
  border-color: #bebebe;
  border-radius: 1rem;
}

#main_content {
}

.profile_container {
  word-break: normal;
  overflow: hidden;
}

.booking_info_container {
  word-break: normal;
  box-sizing: border-box;
}

.btn-secondary:hover {
  color: #ffffff;
  background-color: #f15e75;
  border-color: #bebebe;
  border-radius: 1rem;
}

.phone_no_sty {
  font-size: rem;
}

.brand-bar {
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding: 1rem 5rem;
  font-family: "Roboto Slab", serif;
  background-color: white;
}

.main_content {
  margin: 2rem;
}

.brand-bar img {
  width: 25%;
}

.booking-info-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 0 2rem;
}

#complete-booking-name {
  font-weight: bold;
  font-size: 1rem;
}

#booking-date-line {
  border: 1px solid black;
  width: 35%;
}

#booking-end-date_time {
  text-align: end;
}

.back-to-homepage-btn {
  background-color: #f15e75;
  color: white;
  font-weight: bold;
  font-size: 0.7rem;
  padding: 0.5rem 1rem;
  margin: 1rem 0 0 0;
}

#back-to-homepage-btn-center {
  display: flex;
  justify-content: center;
}

#booking-start-date {
  font-weight: bold;
}

#booking-end-date {
  font-weight: bold;
}

.title-bar {
  font-weight: bold;
  font-size: 2rem;
  padding: 0.5rem 1rem;
  margin: 0 0 0.5rem 0;
  background-color: white;
  font-family: system-ui;
}

.content-center-align {
  display: flex;
  flex-direction: column;
  align-items: center;
}

iframe {
  width: 90%;
  height: 100%;
}

#google-map {
  display: flex;
  justify-content: center;
  height: 18rem;
  margin: 1rem 0;
}

.contact-info-flex {
  display: flex;
}

.contact-info-flex i {
  margin: 0 1rem 0 0;
  color: #f15e75;
}

.contact-info-container {
  padding: 1.4rem;
  background-color: white;
}

.news-banner {
  padding: 0;
}

.news-banner img {
  width: 100%;
}

.news-box {
  padding: 0 1rem 0 0;
}

.news-title-content-box {
  padding: 0 0 0 1rem;
}

.news-container {
  padding: 1.4rem;
  background-color: white;
  margin: 0 0 0.5rem 0;
}

.news-content-box {
  width: 100%;
}

.news-content-box div {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.news-image {
  width: 200%;
}

.news-image img {
  width: 100%;
}

#footer a {
  width: 15%;
  display: flex;
  justify-content: center;
}

#footer #footer-brand {
  height: 85%;
  width: 85%;
}

#footer img {
  width: 100%;
}
